設定一括更新
curl --request POST \
--url https://api.example.com/v1/data-apps/batch/settings \
--header 'Content-Type: application/json' \
--data '
{
"app_names": [
"<string>"
],
"settings": {}
}
'import requests
url = "https://api.example.com/v1/data-apps/batch/settings"
payload = {
"app_names": ["<string>"],
"settings": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app_names: ['<string>'], settings: {}})
};
fetch('https://api.example.com/v1/data-apps/batch/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/data-apps/batch/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'app_names' => [
'<string>'
],
'settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/data-apps/batch/settings"
payload := strings.NewReader("{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/data-apps/batch/settings")
.header("Content-Type", "application/json")
.body("{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/data-apps/batch/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"updated": 123,
"apps": [
{
"app_name": "<string>",
"ok": true,
"code": "<string>"
}
]
}公開
設定一括更新
複数 App に同一設定パッチを適用 — クラスタ一括の停止/再開。
POST
/
v1
/
data-apps
/
batch
/
settings
設定一括更新
curl --request POST \
--url https://api.example.com/v1/data-apps/batch/settings \
--header 'Content-Type: application/json' \
--data '
{
"app_names": [
"<string>"
],
"settings": {}
}
'import requests
url = "https://api.example.com/v1/data-apps/batch/settings"
payload = {
"app_names": ["<string>"],
"settings": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app_names: ['<string>'], settings: {}})
};
fetch('https://api.example.com/v1/data-apps/batch/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/data-apps/batch/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'app_names' => [
'<string>'
],
'settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/data-apps/batch/settings"
payload := strings.NewReader("{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/data-apps/batch/settings")
.header("Content-Type", "application/json")
.body("{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/data-apps/batch/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"app_names\": [\n \"<string>\"\n ],\n \"settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"updated": 123,
"apps": [
{
"app_name": "<string>",
"ok": true,
"code": "<string>"
}
]
}POST https://api-datahub.octoparse.com/v1/data-apps/batch/settings
認証:APIキー必須(Authorization: Bearer <API Key>)。
複数の App に対する可逆的な運用スイッチ:上流の変更やレート制限が発生したときに、関連するすべての App を同じ pause_message で一括停止し、修正後に一括で再開する。公開範囲の一括変更も同様に行える(一括 grant と組み合わせる:先にリストを埋めてから shared に切り替える)。フィールドの意味は単一 App の設定エンドポイントと完全に同じで、このエンドポイントは 1 つのパッチを多数の App に適用するだけ。
リクエスト
リクエスト body
string[]
必須
—
object
必須
—
リクエスト例
curl -X POST \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"apps": ["carol/reviews-query", "carol/product-detail"], "patch": {"accepting_runs": false, "pause_message": "Upstream rate-limited; service paused"}}' \
"https://api-datahub.octoparse.com/v1/data-apps/batch/settings"
レスポンス
200 成功
{
"data": {
"updated": 2,
"apps": [
{
"app": "carol/reviews-query",
"ok": true
},
{
"app": "carol/product-detail",
"ok": true
}
]
}
}
data に包まれます。フィールド:
integer
必須
更新に成功した App の数。
エラー
| HTTP | code | category | 説明 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API キー欠落または無効。 |
{"error": {code, category, message, retryable}} です。エラー を参照。